# ulib/base.string

## `straddp`
~~~
ajouter le préfixe $1 à $2*
~~~
## `strdelp`
~~~
enlever le préfixe $1 à $2*
~~~
## `strdelp2`
~~~
enlever le préfixe $1 le plus long à $2*
~~~
## `stradds`
~~~
ajouter le suffixe $1 à $2*
~~~
## `strdels`
~~~
enlever le suffixe $1 à $2*
~~~
## `strdels2`
~~~
enlever le suffixe le plus long $1 à $2*
~~~
## `strlower`
~~~
afficher en minuscule la valeur $*
~~~
## `strlower1`
~~~
afficher la valeur $* après avoir converti la première lettre en minuscule
~~~
## `strlowers`
~~~
afficher les valeurs $1..* après avoir converti leur première lettre en
minuscule
~~~
## `strupper`
~~~
afficher en majuscule la valeur $*
~~~
## `strupper1`
~~~
afficher la valeur $* après avoir converti la première lettre en majuscule
~~~
## `struppers`
~~~
afficher les valeurs $1..* après avoir converti leur première lettre en
majuscule
~~~
## `strmid`
~~~
Afficher la plage $1 de la valeur $2*. La plage peut être d'une des formes
'start', '[start]:length'. Si start est négatif, le compte est effectué à
partir de la fin de la chaine. Si length est négatif, il est rajouté à la
longueur de la chaine à partir de start
~~~
## `strrepl`
~~~
Remplacer dans la valeur $3* le motif $1 par la chaine $2. $1 peut commencer
par l'un des caractères /, #, % pour indiquer le type de recherche
~~~
## `strops`
~~~
Appliquer à une chaine de caractères une suite de traitements, e.g:
'strops var deref +suffix' est équivalent à 'echo "${var}suffix"'
En commençant avec la valeur initiale $1, les arguments $2..* sont des
opérations à appliquer dans l'ordre.
Les opérations suivantes considèrent que la valeur courante est un nom de
variable:
:- := :? :+ deref dcount
Toutes les autres opérations travaillent directement avec la valeur
courante. Les opérations suivantes appliquent une transformation:
# % / : ^ , +# -# +% -% + - mid repl
Les opérations suivantes font un test sur la valeur et retournent
immédiatement:
= == != < > -eq -ne -lt -le -gt -ge -n -z
La syntaxe des opérateurs standards de bash est reprise autant que possible,
i.e si on a l'habitude d'écrire ${varOP} en bash, alors la syntaxe à utiliser
à priori est 'strops var OP' ou 'strop var deref OP' suivant les opérateurs.
Autres opérateurs:
deref          indirection
dcount         nombre d'éléments du tableau
+#STR          ajouter un préfixe
-#STR          supprimer un préfixe
+%STR ou +STR  ajouter un suffixe
-%STR ou -STR  supprimer un suffixe
mid RANGE      traiter la chaine avec strmid()
repl FROM TO   traiter la chaine avec strrepl()
~~~
## `first_char`
~~~
retourner le premier caractère de la chaine $*
~~~
## `last_char`
~~~
retourner le dernier caractère de la chaine $*
~~~
## `first_chars`
~~~
retourner tous les caractères de la chaine $*, excepté le dernier
~~~
## `last_chars`
~~~
retourner tous les caractères de la chaine $*, excepté le premier
~~~
## `first_char_is`
~~~
Tester si le premier caractère de la chaine $1 est $2
~~~
## `last_char_is`
~~~
Tester si le dernier caractère de la chaine $1 est $2
~~~
## `beginswith`
~~~
Tester si la chaine $1 commence par le wildcard $2
~~~
## `endswith`
~~~
Tester si la chaine $1 se termine par le wildcard $2
~~~

-*- coding: utf-8 mode: markdown -*- vim:sw=4:sts=4:et:ai:si:sta:fenc=utf-8:noeol:binary